# parsl.dataflow.errors.DependencyError

exception parsl.dataflow.errors.DependencyError(dependent_exceptions_tids: Sequence[Tuple[BaseException, str]], task_id: int)
  Error raised if an app cannot run because there was an error

    in a dependency. There can be several exceptions (one from each dependency) and DependencyError collects them all together.

  Parameters:

    - dependent_exceptions_tids (-) – List of exceptions and brief descriptions for dependencies which failed. The description might be a task ID or the repr of a non-AppFuture.

    - task_id (-) – Task ID of the task that failed because of the dependency error